PTHREAD_RWLOCKATTR_SETPSHARED(3)

NAME
pthread_rwlockattr_setpshared - set the process shared attribute

SYNOPSIS
libpthread
#include <pthread.h>
int
pthread_rwlockattr_setpshared(pthread_rwlockattr_t *attr, int pshared);

DESCRIPTION
The pthread_rwlockattr_setpshared() function sets the process shared attribute of attr to the value referenced by pshared. pshared may be one of two values:

PTHREAD_PROCESS_SHARED
    Any thread of any process that has access to the memory where the read/write lock resides can manipulate the lock.

PTHREAD_PROCESS_PRIVATE
    Only threads created within the same process as the thread that initialized the read/write lock can manipulate the lock. This is the default value.

RETURN VALUES
If successful, the pthread_rwlockattr_setpshared() function will return zero. Otherwise an error number will be returned to indicate the error.

ERRORS
pthread_rwlockattr_setpshared() will fail if:

[EINVAL]
    The value specified by attr or pshared is invalid.

SEE ALSO
pthread_rwlock_init(3), pthread_rwlockattr_init(3)

STANDARDS
The pthread_rwlockattr_setpshared() function is expected to conform to susv2.

HISTORY
The pthread_rwlockattr_setpshared() function first appeared in FreeBSD 3.0 and OpenBSD 2.5.

BUGS
The PTHREAD_PROCESS_SHARED attribute is not supported.